Draft Cercle

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Circle and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Wire.svg Wire
Next: Arc Draft Arc.svg Arrow-right.svg

Draft Circle.svg Cercle

Emplacement du menu
Draft → Cercle
Ateliers
Planche à dessin (2d Draft)
Raccourci par défaut
C I
Introduit dans la version
-
Voir aussi
Arc


L'outil Cercle crée un cercle dans le plan de travail courant en entrant deux points, le centre et le rayon, ou en sélectionnant une tangente, ou toute combinaison de ceux-ci. Il prend la type de ligne et couleur précédemment définis dans l'onglet tâches. Cet outil fonctionne de la même manière que l'outil Arc, sauf qu'il s'arrête après avoir entré le rayon.

This tool works the same way as the Draft Arc tool, except that it creates a full circumference. To draw an ellipse use Draft Ellipse.

Draft Circle example.jpg

Draft Circle example.jpg

Utilisation

  1. Pressez la touche Draft Circle.png Draft Circle, ou pressez les touches C et I
  2. Cliquez un premier point dans la vue 3D, ou entez les coordonnées
  3. Cliquez un second point dans la vue 3D, or entez la valeur du rayon.

The circle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the center and radius points to a new position.

The circle can be turned into an arc after creation, by setting its first angle and last angle properties to different values.

Options

  • L'utilisation de l'outil cercle se fait par la sélection de deux points, le centre et un point situé sur la circonférence, définissant ainsi le rayon.
  • Appuyez sur la touche ALT permet de sélectionner une tangente au lieu d'un point. Il est donc possible de tracer différents types de cercles en sélectionnant, une, deux ou trois tangentes.
  • Entrez simplement le nombre des coordonnées X,Y et Z en pressant la touche ENTER entre chaque entrée. Si la case à cocher Continuer est cochée, l'outil cercle redémarre après avoir cliqué le deuxième point, et continue un autre cercle sans devoir cliquer sur le bouton Cercle.
  • Appuyez sur la touche CTRL force l'accrochage du point sur un emplacement d'accrochage disponible, indépendamment de la distance.
  • Appuyer sur la touche SHIFT, contraint le second point horizontalement ou verticalement par rapport au premier point.
  • Appuyer sur la touche I ou Rempli pour voir le cercle apparaître comme une face après qu'il ai été fermé.
  • Appuyer sur la touche ESC ou le bouton Annuler pour annuler la commande courante.
  • Le cercle peut être transformé en un arc après sa création, en définissant son premier angle et son dernier à des valeurs différentes des angles dans les propriétés.
  • Cercles, en mode d'affichage "Flat Lines", peut afficher un motif de hachures, en le définissant dans Vue -> Propriétés -> Pattern.

Propriétés

  • DONNÉESRadius: Le rayon du cercle
  • DONNÉESMake Face: Remplit le cercle avec une face
  • VUEPattern: Spécifie le type de hachure a utiliser
  • VUEPattern Size: Spécifie l’épaisseur du hachage

Data

  • DATAFirst Angle: specifies the starting angle of the circle; normally 0°.
  • DATALast Angle: specifies the ending angle of the circle; normally 0°.
  • DATARadius: specifies the radius of the circle.
  • DATAMake Face: specifies if the Circle makes a face or not. If it is True a face is created, otherwise only the circumference is considered part of the object. This property only works if the shape is a full circumference.
For it to be a full circle DATAFirst Angle and DATALast Angle should have the same value; otherwise, a Draft Arc is displayed. The values 0° and 360° aren't considered the same, so if these two values are used, the circle will not form a face.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the circle. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script

L'outil cercle peut être utilisé dans les macros, et, dans la console Python, en utilisant la fonction suivante :

The Circle tool can be used in macros and from the Python console by using the following function:

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Crée un objet cercle avec un rayon donné.
  • Si une position est donnée, elle est utilisée.
  • Si facemode a la valeur False, le cercle est montré comme une forme filaire, sinon ,comme une face.
  • Si startangle et endangle sont donnés (en degrés), ils sont utilisés, et, l'objet apparaît comme un arc.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)
Arrow-left.svg Previous: Draft Wire.svg Wire
Next: Arc Draft Arc.svg Arrow-right.svg